Bug 203136 - SProcShmCreatePixmap() fails to byte-swap 'pid'
SProcShmCreatePixmap() fails to byte-swap 'pid'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
4.0
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks: 234547
  Show dependency treegraph
 
Reported: 2006-08-18 11:32 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0317
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:35:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 4730 None None None Never

  None (edit)
Description Bastien Nocera 2006-08-18 11:32:46 EDT
---8<---
SProcShmCreatePixmap() in file programs/Xserver/Xext/shm.c swaps all the multi-
byte members of the xShmCreatePixmapReq struct except for pid.  If the
application and the X server are running in different endianness, calls to
XShmCreatePixmap will fail.

This is difficult to reproduce unless you happen to have a locally running X
client in a different endianness mode to the server, but if you have and you
try to use XShmCreatePixmap the X server will return an error.
---8<---

This is the same as:
https://bugs.freedesktop.org/show_bug.cgi?id=4730

For which a patch has already been committed upstream
(https://bugs.freedesktop.org/show_bug.cgi?id=4730#c1)
Comment 1 RHEL Product and Program Management 2006-08-18 15:41:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Adam Jackson 2006-08-18 18:08:56 EDT
Devel ack, trivally correct and already upstreamed.
Comment 3 Jay Turner 2006-08-20 21:44:42 EDT
QE ack for 4.5.
Comment 4 Adam Jackson 2006-09-07 20:50:20 EDT
Reassign to me.
Comment 6 Søren Sandmann Pedersen 2007-01-08 17:06:44 EST
Patch added to CVS. 
Comment 8 Janice Girouard - IBM on-site partner 2007-02-08 14:34:59 EST
Modifying priority on RH side to match the IBM priority, which is set as High.
Comment 11 Red Hat Bugzilla 2007-05-01 13:35:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0317.html

Note You need to log in before you can comment on or make changes to this bug.